#!/usr/bin/env python3
# -*- coding: utf-8 -*-

"""
PEACEWORD, Prototype for Extracting And Considering
           the Explainability of WORD embeddings.
           (c) 2025 University of Lille, CNRS

copyright: Peaceword developers (see Authors file),
           GPL v3 License (see LICENSE file)
"""
import sys
import gensim.downloader as api

def main():
    """
    This simple program loads a glove dataset from the gensim library and store it into the "models" directory
    Example : python3 load_glove_model.py glove_wiki-gigaword-100
    """
    if len(sys.argv) < 2:
        print('Usage: load_glove_model.py gensimModelName')
        sys.exit()
    model = api.load(sys.argv[1])
    model.save_word2vec_format(f"./models/{sys.argv[1]}", binary=True)  # save in binary format
    print(f"INFO :: model Trained {sys.argv[1]}  saved in ./models")


if __name__ == '__main__':
    main()